Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2836403003: Add Xvfb debugging code to run-webkit-tests. (Closed)

Created:
2 years, 2 months ago by Dirk Pranke
Modified:
2 years, 1 month ago
Reviewers:
qyearsley, mithro
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add Xvfb debugging code to run-webkit-tests. This CL adds some debugging code to try and figure out why Xvfb is dying on the Site Isolation Linux bot. R=tansell@chromium.org BUG=708681 Review-Url: https://codereview.chromium.org/2836403003 Cr-Commit-Position: refs/heads/master@{#467288} Committed: https://chromium.googlesource.com/chromium/src/+/07fefc1ec0552e64747b0688b2598649375016bc

Patch Set 1 #

Total comments: 6

Patch Set 2 : address review feedback #

Patch Set 3 : tweak output #

Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -6 lines) Patch
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/base.py View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py View 1 2 5 chunks +24 lines, -6 lines 0 comments Download

Messages

Total messages: 24 (12 generated)
Dirk Pranke
2 years, 2 months ago (2017-04-26 01:16:34 UTC) #1
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836403003/1
2 years, 2 months ago (2017-04-26 01:17:24 UTC) #3
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/438695)
2 years, 2 months ago (2017-04-26 01:42:19 UTC) #5
mithro
I'm actually tracking down a problem with xvfb is failing on swarming. My theory is ...
2 years, 2 months ago (2017-04-26 01:45:20 UTC) #6
mithro
LGTM, just two small comments. https://codereview.chromium.org/2836403003/diff/1/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py File third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py (right): https://codereview.chromium.org/2836403003/diff/1/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py#newcode173 third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/linux.py:173: if self._xvfb_process.poll() is not ...
2 years, 2 months ago (2017-04-26 01:57:17 UTC) #7
mithro
https://codereview.chromium.org/2836403003/diff/1/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/base.py File third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/base.py (right): https://codereview.chromium.org/2836403003/diff/1/third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/base.py#newcode360 third_party/WebKit/Tools/Scripts/webkitpy/layout_tests/port/base.py:360: _log.warn('DISPLAY = %s', self.host.environ['DISPLAY']) This needs to be self.host.environ.get('DISPLAY', ...
2 years, 2 months ago (2017-04-26 01:58:33 UTC) #8
Dirk Pranke
Your theory about Xvfb being slow seems plausible. Let's see if your CL magically fixes ...
2 years, 2 months ago (2017-04-26 02:03:00 UTC) #9
Dirk Pranke
Updated ... please take another look.
2 years, 2 months ago (2017-04-26 02:20:48 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836403003/40001
2 years, 2 months ago (2017-04-26 10:27:20 UTC) #18
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/07fefc1ec0552e64747b0688b2598649375016bc
2 years, 2 months ago (2017-04-26 10:31:21 UTC) #21
qyearsley
Now that the issue on the "Site Isolation Linux" builder is fixed, might this be ...
2 years, 1 month ago (2017-05-09 17:42:33 UTC) #23
Dirk Pranke
2 years, 1 month ago (2017-05-09 19:52:14 UTC) #24
Message was sent while issue was closed.
On 2017/05/09 17:42:33, qyearsley wrote:
> Now that the issue on the "Site Isolation Linux" builder is fixed, might this
be
> reverted now?
> 
> In general, Xvfb stderr is a bit noisy, and logging Xvfb's output will
probably
> be unnecessary now, I think.

https://codereview.chromium.org/2846593004/ will make this only show up when we
fail to start it.

Powered by Google App Engine
This is Rietveld 408576698